Method: firstPartyAndPartnerAudiences.editCustomerMatchMembers

更新目標顧客比對目標對象的成員清單。

僅支援下列 audienceType:

  • CUSTOMER_MATCH_CONTACT_INFO
  • CUSTOMER_MATCH_DEVICE_ID

HTTP 要求

POST https://displayvideo.googleapis.com/v4/firstPartyAndPartnerAudiences/{firstPartyAndPartnerAudienceId}:editCustomerMatchMembers

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
firstPartyAndPartnerAudienceId

string (int64 format)

必填。目標顧客比對 FirstPartyAndPartnerAudience 的 ID,系統會編輯該 ID 的成員。

要求主體

要求主體會包含結構如下的資料:

JSON 表示法
{
  "advertiserId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "addedContactInfoList": {
    object (ContactInfoList)
  },
  "addedMobileDeviceIdList": {
    object (MobileDeviceIdList)
  }
  // End of mutually exclusive fields.

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "removedContactInfoList": {
    object (ContactInfoList)
  },
  "removedMobileDeviceIdList": {
    object (MobileDeviceIdList)
  }
  // End of mutually exclusive fields.
}
欄位
advertiserId

string (int64 format)

必填。更新後目標顧客比對第一方和第三方目標對象的廣告主 ID。

要加入目標顧客比對目標對象的成員。以下列出互斥欄位。回應中最多會設定一個欄位:
addedContactInfoList

object (ContactInfoList)

僅限輸入。聯絡資訊清單,用於定義要新增的成員。

addedMobileDeviceIdList

object (MobileDeviceIdList)

僅限輸入。行動裝置 ID 清單,用於定義要新增的成員。

互斥欄位的結尾。
要從目標顧客比對目標對象中移除的成員。以下列出互斥欄位。回應中最多會設定一個欄位:
removedContactInfoList

object (ContactInfoList)

僅限輸入。聯絡資訊清單,用於定義要移除的成員。

removedMobileDeviceIdList

object (MobileDeviceIdList)

僅限輸入。行動裝置 ID 清單,用於定義要移除的成員。

互斥欄位的結尾。

回應主體

FirstPartyAndPartnerAudienceService.EditCustomerMatchMembers 的回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "firstPartyAndPartnerAudienceId": string
}
欄位
firstPartyAndPartnerAudienceId

string (int64 format)

必填。更新後的目標顧客比對 FirstPartyAndPartnerAudience ID。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/display-video

詳情請參閱OAuth 2.0 Overview。